SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003225SOGowith SOGopublic2015-06-01 22:322015-10-23 12:50
Reporterzhb 
Assigned Toludovic 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionsuspended 
Platform[Server] LinuxOSRHEL/CentOSOS Version7
Product Version 
Target VersionFixed in Version 
Summary0003225: Cannot login to SOGo web interface: didn't set return value for type 'v'
DescriptionCannot login to sogo web interface, below is log under debug mode:

Jun 02 06:24:02 sogod [3284]: |SOGo| starting method 'GET' on uri '/SOGo/'
Jun 02 06:24:02 sogod [3284]: <0x0x7f0c9f84ea50[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Jun 02 06:24:02 sogod [3284]: <0x0x7f0c9f84ea50[SOGoCache]> Using host(s) '127.0.0.1' as server(s)
2015-06-02 06:24:02.211 sogod[3284] <MySQL4Channel[0x0x7f0c9f9b3130] connection=0x0x7f0c9f981120> SQL: SELECT c_defaults FROM sogo_user_profile WHERE c_uid = 'anonymous';
2015-06-02 06:24:02.223 sogod[3284] <MySQL4Channel[0x0x7f0c9f9b3130] connection=0x0x7f0c9f981120> query has results, entering fetch-mode.
Jun 02 06:24:02 sogod [3284]: |SOGo| request took 0.231513 seconds to execute
Jun 02 06:24:02 sogod [3284]: vm_hostname "GET /SOGo/ HTTP/1.0" 200 3960/0 0.238 12454 68% 4M
Jun 02 06:24:07 sogod [3284]: |SOGo| starting method 'POST' on uri '/SOGo/connect'
2015-06-02 06:24:07.416 sogod[3284] ERROR(-[NSNull(misc) forwardInvocation:]): called selector objectForKey: on NSNull !
2015-06-02 06:24:07.417 sogod[3284] <MySQL4Channel[0x0x7f0c9f9b3130] connection=0x0x7f0c9f981120> SQL: SELECT c_password FROM users WHERE c_uid = 'postmaster@a.cn';
2015-06-02 06:24:07.417 sogod[3284] <MySQL4Channel[0x0x7f0c9f9b3130] connection=0x0x7f0c9f981120> query has results, entering fetch-mode.
2015-06-02 06:24:07.418 sogod[3284] ERROR(-[NSNull(misc) forwardInvocation:]): called selector setObject:forKey: on NSNull !
2015-06-02 06:24:07.418 sogod[3284] didn't set return value for type 'v'
Jun 02 06:24:07 sogod [3284]: SOGoRootPage successful login from 'vm_hostname' for user 'postmaster@a.cn' - expire = -1 grace = -1
2015-06-02 06:24:07.420 sogod[3284] ERROR((null)): could not allocate MySQL4 connection!
Jun 02 06:24:07 sogod [3284]: [ERROR] <0x0x7f0c9f7ea440[GCSChannelManager]> could not open channel <MySQL4Channel[0x0x7f0c9fbabe00] connection=0x(null)> for mysql://127.0.0.1/sogo/sogo_sessions_folder
Jun 02 06:24:07 sogod [3284]: [WARN] <0x0x7f0c9f7ea440[GCSChannelManager]> will prevent opening of this channel 5 seconds after 2015-06-02 06:24:07 -0400
2015-06-02 06:24:07.420 sogod[3284] <MySQL4Channel[0x0x7f0c9f9b3130] connection=0x0x7f0c9f981120> SQL: BEGIN;
2015-06-02 06:24:07.421 sogod[3284] <MySQL4Channel[0x0x7f0c9f9b3130] connection=0x0x7f0c9f981120> query has no results.
2015-06-02 06:24:07.421 sogod[3284] <MySQL4Channel[0x0x7f0c9f9b3130] connection=0x0x7f0c9f981120> SQL: INSERT INTO sogo_sessions_folder (c_lastseen, c_creationdate, c_value, c_id) VALUES (1433240647, 1433240647, '8v6ZHe2ESCJlBVAjs4CDiNBaWahw2kkmzfFbvg7cCXIqv7wBVvViiePyZy0+uTnZiRpTHQ702x8Bup037YtVzL6V04rIZ7lb8wBNfkadr//GmEQjTaghpVhmD5yl7N0xSoR7svFcTFHS1IV2tSoSiX9o606g13ufL08Bt28I8OLEeI2TISt+AXNCSa5FXZtLXAeSkzAzcUe51B+ZrmwN+w==', 'ccyB9FQHb4VWgHXmvTdQ3g==');
2015-06-02 06:24:07.422 sogod[3284] <MySQL4Channel[0x0x7f0c9f9b3130] connection=0x0x7f0c9f981120> query has no results.
2015-06-02 06:24:07.422 sogod[3284] <MySQL4Channel[0x0x7f0c9f9b3130] connection=0x0x7f0c9f981120> SQL: COMMIT;
2015-06-02 06:24:07.423 sogod[3284] <MySQL4Channel[0x0x7f0c9f9b3130] connection=0x0x7f0c9f981120> query has no results.
Jun 02 06:24:07 sogod [3284]: |SOGo| request took 0.010346 seconds to execute
Jun 02 06:24:07 sogod [3284]: vm_hostname "POST /SOGo/connect HTTP/1.0" 200 27/48 0.013 - - 76K
Jun 02 06:24:07 sogod [3284]: |SOGo| starting method 'GET' on uri '/SOGo/postmaster%40a.cn'
2015-06-02 06:24:07.442 sogod[3284] ERROR(-[NSNull(misc) forwardInvocation:]): called selector objectForKey: on NSNull !
Jun 02 06:24:07 sogod [3284]: [ERROR] <0x0x7f0c9fc3ed60[SQLSource]> failed to acquire channel for URL: mysql://sogo:EikoCfQ6kGq7AE91oT1Tmzhvzrpion@127.0.0.1:3306/sogo/users
Jun 02 06:24:07 sogod [3284]: <0x0x7f0c9f5c0e80[SOGoWebAuthenticator]> tried wrong password for user 'gpHqaYDlO1YAdxBCnePtsqctLqhw2kkmzfFbvg7cCXIqv7wBVvViiePyZy0+uTnZiRpTHQ702x8Bup037YtVzL6V04rIZ7lb8wBNfkadr//GmEQjTaghpVhmD5yl7N0xSoR7svFcTFHS1IV2tSoSiX9o606g13ufL08Bt28I8OLEeI2TISt+AXNCSa5FXZtLXAeSkzAzcUe51B+ZrmwN+w=='!
Jun 02 06:24:07 sogod [3284]: |SOGo| request took 0.011468 seconds to execute
Jun 02 06:24:07 sogod [3284]: vm_hostname "GET /SOGo/postmaster%40a.cn HTTP/1.0" 200 3997/0 0.018 12590 68% 48K
Additional InformationCentOS 7, x86_64 with Installed packages:

sogo-2.3.0-1.el7.centos.x86_64
sogo-activesync-2.3.0-1.el7.centos.x86_64
sogo-ealarms-notify-2.3.0-1.el7.centos.x86_64
sogo-tool-2.3.0-1.el7.centos.x86_64
sope49-cards-2.3.0-1.el7.centos.x86_64
sope49-core-4.9-20150601_1664.el7.1.x86_64
sope49-gdl1-4.9-20150601_1664.el7.1.x86_64
sope49-ldap-4.9-20150601_1664.el7.1.x86_64
sope49-xml-4.9-20150601_1664.el7.1.x86_64
sope49-appserver-4.9-20150601_1664.el7.1.x86_64
sope49-sbjson-2.3.1-20150601_1664.el7.1.x86_64
sope49-mime-4.9-20150601_1664.el7.1.x86_64
sope49-gdl1-mysql-4.9-20150601_1664.el7.1.x86_64
sope49-gdl1-contentstore-2.3.0-1.el7.centos.x86_64
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0003253resolvedludovic SOGo segfaults on 2.3.0 nightly 20150607 after not managing to connect to LDAP (server1) or MySQL (server2) 
has duplicate 0003231resolvedludovic 2.3.0 cannot connect to MySQL in most recent CentOS 

-  Notes
(0008552)
zhb (reporter)
2015-06-02 03:12

By the way, SOGo-2.3.0 works fine with PostgreSQL on CentOS 7. Just has this issue with MySQL.
(0008560)
zhb (reporter)
2015-06-02 10:58

Update: SOGo-2.3.0 works fine with OpenLDAP as user authentication backend, MariaDB as SQL server on CentOS 7.

So it just doesn't work with MariaDB as user authentication backend.
(0008574)
zhb (reporter)
2015-06-03 11:12

Any update on this issue? still get same error with nightly build 2.3.0.20150603-1.
Let me know if you need someone to help test.
(0008587)
zhb (reporter)
2015-06-05 23:01

Dear developers,

Any update?

We eagerly want to ship SOGo in our solution for CentOS 7 users, but this issue makes me stop here.
(0008673)
abu (reporter)
2015-06-25 03:26

+1

Debian wheezy
upgrade from 2.2.9 to 2.3.0-1
MySQL 5.5.43

After downgrade back to the 2.2.9 version - OK
(0008692)
zhb (reporter)
2015-07-02 20:39

Duplicate bugs: 0003231 0003225 0003253
User avatar (0008753)
ludovic (administrator)
2015-07-22 12:45

I suspect ABI issues between librairies. Our chroots were updated and all integration tests work. Retry with the upcoming 2.3.1 version.
(0008791)
zhb (reporter)
2015-07-31 23:06

This issue was not solved in SOGo v2.3.1, but it works with the latest nightly build: 20150731. Hope we will have sogo-2.3.2 soon.
User avatar (0009030)
ludovic (administrator)
2015-10-23 12:50

2.3.2 has been released a while ago - suspending.

- Issue History
Date Modified Username Field Change
2015-06-01 22:32 zhb New Issue
2015-06-02 03:12 zhb Note Added: 0008552
2015-06-02 10:58 zhb Note Added: 0008560
2015-06-03 11:12 zhb Note Added: 0008574
2015-06-05 23:01 zhb Note Added: 0008587
2015-06-25 03:26 abu Note Added: 0008673
2015-07-02 20:39 zhb Note Added: 0008692
2015-07-10 05:42 Christian Mack Relationship added has duplicate 0003253
2015-07-10 05:42 Christian Mack Relationship added has duplicate 0003231
2015-07-22 12:45 ludovic Note Added: 0008753
2015-07-22 12:45 ludovic Status new => resolved
2015-07-22 12:45 ludovic Fixed in Version => 2.3.1
2015-07-22 12:45 ludovic Resolution open => fixed
2015-07-22 12:45 ludovic Assigned To => ludovic
2015-07-31 23:06 zhb Note Added: 0008791
2015-07-31 23:06 zhb Status resolved => feedback
2015-07-31 23:06 zhb Resolution fixed => reopened
2015-10-23 12:50 ludovic Note Added: 0009030
2015-10-23 12:50 ludovic Status feedback => resolved
2015-10-23 12:50 ludovic Fixed in Version 2.3.1 =>
2015-10-23 12:50 ludovic Resolution reopened => suspended


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker